A valid request URL is required to generate request examples{
"transaction_id": "<string>",
"location": "<string>",
"properties": {}
}Register a table to a namespace
Register an existing table at a given storage location as id.
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location": "<string>",
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"mode": "<string>",
"properties": {}
}
'{
"transaction_id": "<string>",
"location": "<string>",
"properties": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
There are two modes when trying to register a table, to differentiate the behavior when a table of the same name already exists. Case insensitive, supports both PascalCase and snake_case. Valid values are:
- Create (default): the operation fails with 409.
- Overwrite: the existing table registration is replaced with the new registration.
Properties stored on the table, if supported by the implementation.
Show child attributes
Show child attributes
Was this page helpful?